Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.ast
Class AnnotatedNode

    java.lang.Object
      org.codehaus.groovy.ast.ASTNode
          org.codehaus.groovy.ast.AnnotatedNode

Direct Known Subclasses:
  ClassNode, FieldNode, ImportNode, MethodNode, Parameter, PropertyNode

    public class AnnotatedNode

extends ASTNode

Base class for any AST node which is capable of being annotated

Version:
  $Revision: 9029 $
Author:
  James Strachan

Constructor Summary
`AnnotatedNode()`

Method Summary
`void` | `addAnnotation(String name, AnnotationNode value)`
`void` | `addAnnotations(List annotations)`
`ClassNode` | `getAnnotationClass(String name)`
`Map` | `getAnnotations()`
`AnnotationNode` | `getAnnotations(String name)`
`ClassNode` | `getDeclaringClass()`
`boolean` | `isSynthetic()`
`void` | `setDeclaringClass(ClassNode declaringClass)`
`void` | `setSynthetic(boolean synthetic)`

Methods inherited from class org.codehaus.groovy.ast.ASTNode
`getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getText, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setSourcePosition, visit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AnnotatedNode

    public AnnotatedNode()

Method Detail

### getAnnotations

    public Map getAnnotations()

### getAnnotations

    public AnnotationNode getAnnotations(String name)

### getAnnotationClass

    public ClassNode getAnnotationClass(String name)

### addAnnotation

    public void addAnnotation(String name,
                              AnnotationNode value)

### addAnnotations

    public void addAnnotations(List annotations)

### isSynthetic

    public boolean isSynthetic()

### setSynthetic

    public void setSynthetic(boolean synthetic)

### getDeclaringClass

    public ClassNode getDeclaringClass()

### setDeclaringClass

    public void setDeclaringClass(ClassNode declaringClass)

  Parameters:
    `declaringClass` - The declaringClass to set.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2008 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD